Arbor 3: FSM & BT Graph Editor 3.1.1

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Properties | List of all members
CalculatorBranch Class Reference

演算ノード同士を接続する線のクラス。 More...

## Public Member Functions
void | SetBehaviour (int inNodeID, Object inBehaviour, int outNodeID, Object outBehaviour)
| Behaviourを変更する。 More...
void | SetDirtySlotField ()
| スロットフィールドがダーティであるとマークする More...

## Public Attributes
int | branchID
| ブランチのID。 More...
bool | enabled
| 描画するかどうか。エディタ用。 More...
Object | inBehaviour
| 入力側のBehaviour More...
int | inNodeID
| 入力側のnodeID. More...
Object | outBehaviour
| 出力側のBehaviour More...
int | outNodeID
| 出力側のnodeID More...
Bezier2D | lineBezier
| 接続する線のベジェ曲線。エディタ用 More...
bool | isVisible = false
| 値を表示するかどうかを取得する。 More...

## Properties
object | value`[get, set]`
| 値を取得設定する。 Calculatorの出力スロットと接続している場合は必要に応じて値を更新してから取得する。 More...
object | currentValue`[get]`
| 現在の値を取得する。 More...
bool | isUsed`[get]`
| 値が使われているかどうかを取得する。 More...
float | updatedTime`[get]`
| valueを更新した timeScale に依存しない時間。 More...
CalculatorSlotField | outputSlotField`[get]`
| 出力スロットのCalculatorSlotFieldを取得する。 More...
CalculatorSlot | outputSlot`[get]`
| 出力スロットを取得する。 More...
System.Reflection.FieldInfo | outputSlotFieldInfo`[get]`
| 出力スロットのFieldInfoを取得する。 More...
System.Type | outputType`[get]`
| 出力する型 More...
bool | isValidOutputSlot`[get]`
| 出力スロットが有効であるかを返す。 More...
CalculatorSlotField | inputSlotField`[get]`
| 入力スロットのFieldInfoを取得する。 More...
CalculatorSlot | inputSlot`[get]`
| 入力スロットを取得する。 More...
System.Reflection.FieldInfo | inputSlotFieldInfo`[get]`
| 入力スロットのFieldInfoを取得する。 More...
System.Type | inputType`[get]`
| 入力する型。 More...
bool | isValidInputSlot`[get]`
| 入力スロットが有効であるかを返す。 More...

## Detailed Description

演算ノード同士を接続する線のクラス。

## Member Function Documentation

void SetBehaviour | ( | int | inNodeID,
|  | Object | inBehaviour,
|  | int | outNodeID,
|  | Object | outBehaviour
| ) |  |

Behaviourを変更する。

void SetDirtySlotField | ( |  | ) |

スロットフィールドがダーティであるとマークする

## Member Data Documentation

int branchID

ブランチのID。

bool enabled

描画するかどうか。エディタ用。

Object inBehaviour

入力側のBehaviour

int inNodeID

入力側のnodeID.

bool isVisible = false

値を表示するかどうかを取得する。

Bezier2D lineBezier

接続する線のベジェ曲線。エディタ用

Object outBehaviour

出力側のBehaviour

int outNodeID

出力側のnodeID

## Property Documentation

object currentValue
| get

現在の値を取得する。

CalculatorSlot inputSlot
| get

入力スロットを取得する。

CalculatorSlotField inputSlotField
| get

入力スロットのFieldInfoを取得する。

System.Reflection.FieldInfo inputSlotFieldInfo
| get

入力スロットのFieldInfoを取得する。

System.Type inputType
| get

入力する型。

bool isUsed
| get

値が使われているかどうかを取得する。

bool isValidInputSlot
| get

入力スロットが有効であるかを返す。

bool isValidOutputSlot
| get

出力スロットが有効であるかを返す。

CalculatorSlot outputSlot
| get

出力スロットを取得する。

CalculatorSlotField outputSlotField
| get

出力スロットのCalculatorSlotFieldを取得する。

System.Reflection.FieldInfo outputSlotFieldInfo
| get

出力スロットのFieldInfoを取得する。

System.Type outputType
| get

出力する型

float updatedTime
| get

valueを更新した timeScale に依存しない時間。

object value
| get set

値を取得設定する。 Calculatorの出力スロットと接続している場合は必要に応じて値を更新してから取得する。